::@echo off & setlocal
:: ###############################################################################
:: # This software is provided by the Xerox Corporation ''AS IS''. In no event   #
:: # shall the Xerox Corporation be liable for any direct, indirect, incidental, #
:: # special, exemplary, or consequential damages (including, but not limited to,#
:: # procurement of substitute goods or services; loss of use, data, or profits; #
:: # or business interruption) However caused and on any theory or liability,    #
:: # whether in contract, strict liability, or tort (including negligence or     #
:: # otherwise) arising in any way out of the use of this software, even if      #
:: # advised of the possibility of such damage.                                  #
:: ###############################################################################
:: # Release date:2024-02-16
:: # Author: Paul Hough, Eric Thibodeau Xerox 
:: #####################################################

:: ## Logging setup: change to true to enable logging
SET Logging=true
SET VerboseLogging=false
for /f "tokens=2 delims==" %%a in ('wmic OS Get localdatetime /value') do set "dt=%%a"
set "YY=%dt:~2,2%" & set "YYYY=%dt:~0,4%" & set "MM=%dt:~4,2%" & set "DD=%dt:~6,2%"
set "DATEVAL=%YYYY%-%MM%-%DD%"
SET ts=%DATEVAL% %time:~0,2%:%time:~3,2%:%time:~6,2%
SET Log=IF %Logging% EQU true @echo %ts% 
SET Logv=IF %VerboseLogging% EQU true @echo %ts%

:: ##################################################### 
:: # Customize variables below as needed
:: #####################################################
set MDir=C:\FreeFlow_Workflow_Backup\Backups
set History=%MDir%\Backup_History.txt
set SaveName=%MDir%\%DATEVAL%-FreeFlow_Core_Workflow_Backup.ffc

:: Create Backup Folder if missing.
if not exist "%MDir%\" mkdir "%MDir%" 

:: ##################################################### 
:: # Call Core Exchange and Export a clone ffc file to the save directory
:: # Check if file was created successfully
:: #####################################################
%Logv% Saving to: %SaveName% >> %History%
%Logv% Clone Started >> %History%
CoreExchange.exe /e "%SaveName%" /clone >> %History%

if exist "%SaveName%" (
   %Log% Clone Created at: %SaveName% >> %History%  
   %Logv% Clone Successful >> %History%
   EXIT /B 0
) else (
   %Log% Clone FAILED! >> %History%
   EXIT /B %errorlevel%
)






